Adempiere 'MRole.java' 漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1190491 漏洞类型 未知
发布时间 2007-05-18 更新时间 2007-05-18
CVE编号 CVE-2007-2760 CNNVD-ID CNNVD-200705-394
漏洞平台 N/A CVSS评分 9.0
|漏洞来源
https://www.securityfocus.com/bid/86156
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200705-394
|漏洞详情
Adempiere的model/MRole.java中的canUpdate函数没有正确的校验用户角色,这使得远程认证只读取用户可以获得特权。
|受影响的产品
Adempiere Adempiere 3.1.5
|参考资料

来源:VUPEN
名称:ADV-2007-1842
链接:http://www.frsirt.com/english/advisories/2007/1842
来源:MISC
链接:http://www.adempiere.com/wiki/index.php/Release_316
来源:XF
名称:adempiere-canupdate-security-bypass(34327)
链接:http://xforce.iss.net/xforce/xfdb/34327
来源:OSVDB
名称:41979
链接:http://osvdb.org/41979